From: Jeff King <peff@peff.net>
To: git@vger.kernel.org
Cc: Eric Sunshine <sunshine@sunshineco.com>,
Junio C Hamano <gitster@pobox.com>,
Michael J Gruber <git@drmicha.warpmail.net>
Subject: [PATCH 3/5] t7510: test a commit signed by an unknown key
Date: Mon, 16 Jun 2014 20:05:54 -0400 [thread overview]
Message-ID: <20140617000554.GC17110@sigill.intra.peff.net> (raw)
In-Reply-To: <20140616235917.GA19499@sigill.intra.peff.net>
We tested both good and bad signatures, but not ones made
correctly but with a key for which we have no trust.
Signed-off-by: Jeff King <peff@peff.net>
---
I'm not happy about grepping more gpg output, but perhaps this "not
certified" is no worse than the current 'Good signature from" greps we
have?
The internal code uses --status-fd, which is presumably more robust to
changes. I dunno. I'd be inclined to go with this, and if it becomes a
problem in a future gpg release, we can deal with it then.
t/t7510-signed-commit.sh | 13 +++++++++++++
1 file changed, 13 insertions(+)
diff --git a/t/t7510-signed-commit.sh b/t/t7510-signed-commit.sh
index cdffcbd..04fc2c5 100755
--- a/t/t7510-signed-commit.sh
+++ b/t/t7510-signed-commit.sh
@@ -43,6 +43,9 @@ test_expect_success GPG 'create signed commits' '
test_tick && git rebase -f HEAD^^ && git tag sixth-signed HEAD^ &&
git tag seventh-signed
+
+ echo 8 >file && test_tick && git commit -a -m eighth -SB7227189 &&
+ git tag eighth-signed-alt
'
test_expect_success GPG 'show signatures' '
@@ -63,6 +66,16 @@ test_expect_success GPG 'show signatures' '
! grep "BAD signature from" actual &&
echo $commit OK || exit 1
done
+ ) &&
+ (
+ for commit in eighth-signed-alt
+ do
+ git show --pretty=short --show-signature $commit >actual &&
+ grep "Good signature from" actual &&
+ ! grep "BAD signature from" actual &&
+ grep "not certified" actual &&
+ echo $commit OK || exit 1
+ done
)
'
--
2.0.0.566.gfe3e6b2
next prev parent reply other threads:[~2014-06-17 0:05 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-06-16 20:13 [PATCH] pretty: avoid reading past end-of-string with "%G" Jeff King
2014-06-16 20:26 ` [PATCH] t7510: check %G* pretty-format output Jeff King
2014-06-16 21:50 ` Eric Sunshine
2014-06-16 23:36 ` Jeff King
2014-06-16 23:59 ` [PATCH 0/5] --format=%G tests and fixes Jeff King
2014-06-16 23:59 ` [PATCH 1/5] t7510: stop referring to master in later tests Jeff King
2014-06-17 0:03 ` [PATCH 2/5] t7510: use consistent &&-chains in loop Jeff King
2014-06-17 0:05 ` Jeff King [this message]
2014-06-17 0:06 ` [PATCH 4/5] t7510: check %G* pretty-format output Jeff King
2014-06-17 0:07 ` [PATCH 5/5] pretty: avoid reading past end-of-string with "%G" Jeff King
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
List information: http://vger.kernel.org/majordomo-info.html
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20140617000554.GC17110@sigill.intra.peff.net \
--to=peff@peff.net \
--cc=git@drmicha.warpmail.net \
--cc=git@vger.kernel.org \
--cc=gitster@pobox.com \
--cc=sunshine@sunshineco.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
Code repositories for project(s) associated with this public inbox
https://80x24.org/mirrors/git.git
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).